Issue 100862 - Macro assigned to Open Document for embedded forms is not called till the db has been closed and reopened
Summary: Macro assigned to Open Document for embedded forms is not called till the db ...
Status: CONFIRMED
Alias: None
Product: Base
Classification: Application
Component: code (show other issues)
Version: OOo 3.1 RC1
Hardware: Unknown All
: P3 Trivial (vote)
Target Milestone: ---
Assignee: AOO issues mailing list
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-04-05 17:09 UTC by drewjensen.inbox
Modified: 2013-02-07 22:34 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments
bug doc (11.70 KB, application/vnd.sun.xml.base)
2009-04-05 17:10 UTC, drewjensen.inbox
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description drewjensen.inbox 2009-04-05 17:09:59 UTC
Checked w/both XP and Linux

Open the attached document
Open the form Assets. The form opens noramlly.
Open the form again in Edit mode.
Use to Tools/Customize to verify that the Event 'Open Document' has been
assigned to the macro standard:module1:onOpenDocument

The macro is never called for embedded forms.
Comment 1 drewjensen.inbox 2009-04-05 17:10:39 UTC
Created attachment 61397 [details]
bug doc
Comment 2 drewjensen.inbox 2009-04-05 17:24:29 UTC
Changed summary line.
With RC1 the macro is called but not until the ODB file has been closed and
reopened.
Comment 3 Frank Schönheit 2009-04-06 14:57:47 UTC
cannot reproduce.

OOO310.m9 (3.1 RC1)
- open the database document
- double-click the form
=> form opens
=> on-load message box pops up
- close the form
- open the form for editing ("Edit" from its context menu)
=> form opens
=> on-load message box pops up
Comment 4 mchris 2009-04-06 16:42:48 UTC
I can confirm this but on 310m7.